net-snmp (5.9.4+dfsg-2ubuntu2.1) questing-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow vulnerability
    - debian/patches/CVE-2025-68615.patch: snmptrapd: Fix out-of-bounds
    trapOid[] accesses
    - CVE-2025-68615

 -- Nick Galanis <nick.galanis@canonical.com>  Tue, 06 Jan 2026 18:02:23 +0200

net-snmp (5.9.4+dfsg-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 14:15:29 +0000

net-snmp (5.9.4+dfsg-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110431). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - Fix snmptrapd reconnection issue after hitting MySQL wait_timeout
      (LP #1999711)
      + d/p/snmptrapd-mysql-reconnection-after-hitting-wait_timeout.patch
    - d/p/add-overlay-support.patch: Add Docker's "overlay" filesystem
      (LP #2007856)
    - d/p/fix-ftbfs-mysql-lib.patch: fix FTBFS issue when compiling against
      recent versions of mysql libraries.
  * Drop changes:
    - d/p/lp-2056257-Add-Linux-6.7-compatibility-parsing-proc-net-snmp.patch:
      fix parsing on newer kernels (LP #2056257)
      [fixed in 5.9.4+dfsg-2]

 -- Jonas Jelten <jonas.jelten@canonical.com>  Thu, 03 Jul 2025 11:46:46 +0200

net-snmp (5.9.4+dfsg-2) unstable; urgency=medium

  * Update systemstats_linux to get expected header length Closes: #1069087
  * Library names cannot be changed due to freeze.

 -- Craig Small <csmall@debian.org>  Tue, 06 May 2025 21:20:52 +1000

net-snmp (5.9.4+dfsg-1.1ubuntu7) plucky; urgency=medium

  * d/p/lp-2056257-Add-Linux-6.7-compatibility-parsing-proc-net-snmp.patch:
    fix parsing on newer kernels (LP: #2056257)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 06 Mar 2025 07:47:32 +0100

net-snmp (5.9.4+dfsg-1.1ubuntu6) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:48:42 -0500

net-snmp (5.9.4+dfsg-1.1ubuntu5) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 10:17:58 +0200

net-snmp (5.9.4+dfsg-1.1ubuntu4) oracular; urgency=medium

  * d/p/fix-ftbfs-mysql-lib.patch: fix FTBFS issue when compiling against
    recent versions of mysql libraries.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 04 Sep 2024 10:39:05 -0300

net-snmp (5.9.4+dfsg-1.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:39:44 +0000

net-snmp (5.9.4+dfsg-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:21:45 +0000

net-snmp (5.9.4+dfsg-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - Fix snmptrapd reconnection issue after hitting MySQL wait_timeout
      (LP #1999711)
      + d/p/snmptrapd-mysql-reconnection-after-hitting-wait_timeout.patch
    - d/p/add-overlay-support.patch: Add Docker's "overlay" filesystem
      (LP #2007856)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 04 Mar 2024 14:38:24 -0500

net-snmp (5.9.4+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064249

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:43:19 +0000

net-snmp (5.9.4+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:54:15 +0100

net-snmp (5.9.4+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 13:50:47 +0100

net-snmp (5.9.4+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040402). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - Fix snmptrapd reconnection issue after hitting MySQL wait_timeout
      (LP #1999711)
      + d/p/snmptrapd-mysql-reconnection-after-hitting-wait_timeout.patch
    - d/p/add-overlay-support.patch: Add Docker's "overlay" filesystem
      (LP #2007856)
  * Drop changes:
    - d/p/restore-support-for-long-dns-names.patch: Fix snmp requests
      for domains longer than 63 characters (LP #1998461)
      [ Incorporated upstream release v5.9.4. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 02 Jan 2024 16:17:02 -0500

net-snmp (5.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * snmpd: Remove dependency to lsb-base
  * postinst use chown user:group Closes: #1032201, #1027809

 -- Craig Small <csmall@debian.org>  Sat, 19 Aug 2023 19:36:39 +1000

net-snmp (5.9.3+dfsg-2ubuntu3) lunar; urgency=medium

  * d/p/add-overlay-support.patch: Add Docker's "overlay" filesystem
    (LP: #2007856)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 22 Mar 2023 18:42:02 -0700

net-snmp (5.9.3+dfsg-2ubuntu2) lunar; urgency=medium

  * Fix snmptrapd reconnection issue after hitting MySQL wait_timeout
    (LP: #1999711)
    - d/p/snmptrapd-mysql-reconnection-after-hitting-wait_timeout.patch

 -- Chengen Du <chengen.du@canonical.com>  Thu, 16 Feb 2023 20:16:57 -0300

net-snmp (5.9.3+dfsg-2ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993419). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/restore-support-for-long-dns-names.patch: Fix snmp requests
      for domains longer than 63 characters (LP #1998461)
  * Drop changes:
    - SECURITY UPDATE: DoS via null pointer exception issues
      + debian/patches/CVE-2022-4479x-1.patch: disallow SET with NULL varbind
        in agent/snmp_agent.c.
      + debian/patches/CVE-2022-4479x-2.patch: allow SET with NULL varbind
        for testing in apps/snmpset.c.
      + debian/patches/CVE-2022-4479x-3.patch: add test for NULL varbind set
        in testing/fulltests/default/T0142snmpv2csetnull_simple.
      + CVE-2022-44792
      + CVE-2022-44793
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 10 Jan 2023 22:54:16 -0500

net-snmp (5.9.3+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Closes: #1025922
    + Initialize architecture variables.
    + Fix build vs host confusion.
    + Use the host architecture pkg-config.
    + export a PERL5LIB for cross building.
    + cross.patch: Pass PERL5LIB along.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1, 2.
  * Use secure URI in Homepage field.

  [ Craig Small ]
  * Remove email list from maintainers
  * Add patch agent_set_null_varbind Closes: #1024020 fixes:
    + CVE-2022-44792 NULL Pointer Exception when handling ipDefaultTTL
    + CVE-2022-44793 NULL Pointer Exception when handling pv6IpForwarding

 -- Craig Small <csmall@debian.org>  Tue, 03 Jan 2023 13:01:46 +1100

net-snmp (5.9.3+dfsg-1ubuntu5) lunar; urgency=medium

  * d/p/restore-support-for-long-dns-names.patch: Update patch to match upstream
    version of commit (LP: #1998461)

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 09 Jan 2023 13:37:37 -0700

net-snmp (5.9.3+dfsg-1ubuntu4) lunar; urgency=medium

  * SECURITY UPDATE: DoS via null pointer exception issues
    - debian/patches/CVE-2022-4479x-1.patch: disallow SET with NULL varbind
      in agent/snmp_agent.c.
    - debian/patches/CVE-2022-4479x-2.patch: allow SET with NULL varbind
      for testing in apps/snmpset.c.
    - debian/patches/CVE-2022-4479x-3.patch: add test for NULL varbind set
      in testing/fulltests/default/T0142snmpv2csetnull_simple.
    - CVE-2022-44792
    - CVE-2022-44793

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Jan 2023 09:41:56 -0500

net-snmp (5.9.3+dfsg-1ubuntu3) lunar; urgency=medium

  * d/p/restore-support-for-long-dns-names.patch: Fix snmp requests for domains
    longer than 63 characters (LP: #1998461)

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 05 Dec 2022 07:47:24 -0700

net-snmp (5.9.3+dfsg-1ubuntu2) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 12:17:36 +0100

net-snmp (5.9.3+dfsg-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1987349). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
  * Drop changes:
    - SECURITY UPDATE: Multiple security issus
      + debian/patches/CVE-2022-248xx-1.patch: fix bounds checking in
        NET-SNMP-AGENT-MIB, NET-SNMP-VACM-MIB, SNMP-VIEW-BASED-ACM-MIB,
        SNMP-USER-BASED-SM-MIB in  agent/mibgroup/agent/nsLogging.c,
        agent/mibgroup/agent/nsVacmAccessTable.c,
        agent/mibgroup/mibII/vacm_vars.c, agent/mibgroup/snmpv3/usmUser.
      + debian/patches/CVE-2022-248xx-2.patch: recover SET status from
        delegated request in agent/snmp_agent.c.
      + CVE-2022-24805, CVE-2022-24806, CVE-2022-24807, CVE-2022-24808,
        CVE-2022-24809, CVE-2022-24810
      [ Incorporated upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 22 Aug 2022 19:37:48 -0400

net-snmp (5.9.3+dfsg-1) unstable; urgency=medium

  * New upstream source
  * Remove patch Link-libnetsnmptrapd-against-MYSQL_LIBS

 -- Craig Small <csmall@debian.org>  Mon, 18 Jul 2022 21:28:38 +1000

net-snmp (5.9.1+dfsg-4ubuntu2) kinetic; urgency=medium

  * SECURITY UPDATE: Multiple security issus
    - debian/patches/CVE-2022-248xx-1.patch: fix bounds checking in
      NET-SNMP-AGENT-MIB, NET-SNMP-VACM-MIB, SNMP-VIEW-BASED-ACM-MIB,
      SNMP-USER-BASED-SM-MIB in  agent/mibgroup/agent/nsLogging.c,
      agent/mibgroup/agent/nsVacmAccessTable.c,
      agent/mibgroup/mibII/vacm_vars.c, agent/mibgroup/snmpv3/usmUser.
    - debian/patches/CVE-2022-248xx-2.patch: recover SET status from
      delegated request in agent/snmp_agent.c.
    - CVE-2022-24805, CVE-2022-24806, CVE-2022-24807, CVE-2022-24808,
      CVE-2022-24809, CVE-2022-24810

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Jul 2022 13:48:42 -0400

net-snmp (5.9.1+dfsg-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971295, #1894190). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
  * Dropped changes:
    - d/p/lp1945960-*: backport patches for the OpenSSL3 transition
      (LP #1945960)
    [ Included in 5.9.1+dfsg-3 ]
    - d/p/lp1969623-net-snmp-create-v3-user-Fix-the-snmpd.conf-path.patch:
      Set ${datarootdir} value in net-snmp-create-v3-user and fix
      error when creating user.  (LP #1969623)
    [ Included in 5.9.1+dfsg-3 ]
    - d/control: Build-Depend on libsensors4-dev.
    [ Unnecessary; libsensors4-dev is a dummy transitional package to
      libsensors-dev ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 13 Jun 2022 17:36:01 -0400

net-snmp (5.9.1+dfsg-4) unstable; urgency=medium

  * d/snmpd.postinst: Just chown $SNMP_DIR/snmpd.conf if the file exists.
    (Closes: #1012693)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 11 Jun 2022 17:35:00 -0400

net-snmp (5.9.1+dfsg-3) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Fix FTBFS when compiling against OpenSSL 3.0.
    - d/p/Fix-the-build-against-OpenSSL-3.0.patch: Fix FTBFS when
      compiling against OpenSSL 3.0.
    - d/p/configure-static-linking-Fix-SSL-checks.patch: Fix SSL configure
      checks. (Closes: #1006511)
  * d/snmpd.service: Start the service after network-online.target.
    Closes: #1001268

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Update renamed lintian tag names in lintian overrides.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on bash, debianutils, findutils
      and perl.
    + snmpd: Drop versioned constraint on lsb-base in Depends.
    + snmptrapd: Drop versioned constraint on snmp in Replaces.
    + snmptrapd: Drop versioned constraint on snmp in Breaks.
    + snmp: Drop versioned constraint on libsnmp-base in Depends.
    + libsnmp-base: Drop versioned constraint on snmp in Replaces.
    + libsnmp-base: Drop versioned constraint on snmp in Breaks.

  [ Craig Small ]
  * Update to Debian standard 4.6.1, no change

 -- Craig Small <csmall@debian.org>  Sat, 11 Jun 2022 15:31:19 +1000

net-snmp (5.9.1+dfsg-2) unstable; urgency=medium

  * Fix path for net-snmp-create-v3-user Closes: #997895
  * Use pidof for net-snmp-create-v3-user so don't need procps
  * Make snmpd.conf group readable Closes: #998152
  * Reapplied perl callback patch Closes: #1011440

 -- Craig Small <csmall@debian.org>  Wed, 25 May 2022 22:09:23 +1000

net-snmp (5.9.1+dfsg-1ubuntu2.1) jammy; urgency=medium

  * d/p/lp1969623-net-snmp-create-v3-user-Fix-the-snmpd.conf-path.patch:
    Set ${datarootdir} value in net-snmp-create-v3-user and fix
    error when creating user.  (LP: #1969623)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 21 Apr 2022 16:14:05 -0400

net-snmp (5.9.1+dfsg-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:33:00 +0100

net-snmp (5.9.1+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946877, #1912390). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/lp1945960-*: backport patches for the OpenSSL3 transition
      (LP #1945960)
  * Dropped changes, incorporated by Debian:
    - d/libsnmp-dev.install: Don't install archive (.a) files.
      The archive files are just temporary files generated in order to
      create the final shared objects (.so), and we don't need to ship
      them in the package.
  * Dropped changes, incorporated upstream:
    - Fix segmentation fault when certificate contains extension
      longer than 512 bytes (LP #1912389)
      + d/p/lp1912389-libsnmp-Handle-certificate-loading-errors-gracefully.patch:
        Skip certificate if loading fails.
      + d/p/lp1912389-libsnmp-SSL-Increase-extension-buffer-size-to-preven.patch:
        Make sure enough space is allocated for extensions longer than
        512 bytes.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 11 Jan 2022 20:39:24 -0500

net-snmp (5.9.1+dfsg-1) unstable; urgency=medium

  [ Owen Evans ]
  * Enable Blumenthal AES-192 and AES-256 encryption Closes: #972985

  [ Ferenc Wágner ]
  * Enable systemd integration and UDP socket activation
    Closes: #983569

  [ Sergio Durigan Junior ]
  * d/libsnmp-dev.install: Don't install archive (.a) files.
    The archive files are just temporary files generated in order to
    create the final shared objects (.so), and we don't need to ship them
    in the package.

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Vagrant Cascadian ]
  * Embed path to ps and uname. Closes: #978598

  [ Craig Small ]
  * Make the perl agent code more tolerant of perl types, thanks
    to Guillem Jover for the patch Closes: #977573
  * Make CI files use correct libmariadb-dev package names
    Closes: #975477
  * mib2c: Add recommends and fix error message Closes: #990706

  * Add configuration directory for snmpd
  * New upstream release
  * Add Recommends: procps for snmpd Closes: #993997

 -- Craig Small <csmall@debian.org>  Mon, 20 Sep 2021 21:35:58 +1000

net-snmp (5.9+dfsg-3ubuntu4) jammy; urgency=medium

  * d/p/lp1945960-*: backport patches for the OpenSSL3 transition
    (LP: #1945960)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 17 Nov 2021 14:58:54 +0100

net-snmp (5.9+dfsg-3ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:20 +0200

net-snmp (5.9+dfsg-3ubuntu2) impish; urgency=medium

  * Fix segmentation fault when certificate contains extension
    longer than 512 bytes (LP: #1912389)
    - d/p/lp1912389-libsnmp-Handle-certificate-loading-errors-gracefully.patch:
      Skip certificate if loading fails.
    - d/p/lp1912389-libsnmp-SSL-Increase-extension-buffer-size-to-preven.patch:
      Make sure enough space is allocated for extensions longer than
      512 bytes.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 25 May 2021 19:03:31 -0400

net-snmp (5.9+dfsg-3ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
  * Dropped:
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch:
      Link libnetsnmptrapd against MYSQL_LIBS. Thanks to Adam
      Williamson <awilliam@redhat.com>.
      (Closes #886221, LP #1814254)
      [ Incorporated by Debian. ]
    - Fix build with mysql-8 (LP #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use
        char instead.
      [ Incorporated by upstream. ]
    - Skip autofs entries when calling statfs to prevent autofs
      being mounted on snmpd startup (LP #1835818):
      + d/p/autofs-fix-a-recently-introduced-bug.patch
      + d/p/autofs-skip-autofs-entries.patch
      [ Incorporated by upstream. ]
    - d/p/fix-check-hr-filesys-autofs.patch:
      + On Linux getmntent() is available but getfsstat() not.
        Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
        check.
      [ Incorporated by upstream. ]
  * Added changes:
    - d/libsnmp-dev.install: Don't install archive (.a) files.
      The archive files are just temporary files generated in order to
      create the final shared objects (.so), and we don't need to ship
      them in the package.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 05 Jan 2021 14:54:24 -0500

net-snmp (5.9+dfsg-3) unstable; urgency=medium

  * Source only upload - no changes Closes: #970798

 -- Craig Small <csmall@debian.org>  Fri, 25 Sep 2020 09:10:00 +1000

net-snmp (5.9+dfsg-2) unstable; urgency=medium

  * Move SNMP.3pm back to perl package Closes: #969436
  * Moved snmptrapd library into its own package to not pull in mysql
    dependencies for snmp/snmpd Closes: #953948

 -- Craig Small <csmall@debian.org>  Sun, 06 Sep 2020 21:52:58 +1000

net-snmp (5.9+dfsg-1) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Link libnetsnmptrapd against MYSQL_LIBS
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: When building
      with MySQL (MariaDB) support, this library must be linked against the
      MySQL client library, or else it will have unresolved symbols.
    (Closes: #886221)

  [ Craig Small ]
  * New upstream release
  * Removed patches included in upstream
  * Library soname changed to 40
  * Remove dbg packages, no need to migrate as new soname

 -- Craig Small <csmall@debian.org>  Sat, 22 Aug 2020 17:11:17 +1000

net-snmp (5.8+dfsg-5ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 10:50:26 +0100

net-snmp (5.8+dfsg-5ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1880724). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch:
      Link libnetsnmptrapd against MYSQL_LIBS. Thanks to Adam
      Williamson <awilliam@redhat.com>.
      (Closes #886221, LP #1814254)
    - Fix build with mysql-8 (LP #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use
        char instead.
    - Skip autofs entries when calling statfs to prevent autofs
      being mounted on snmpd startup (LP #1835818):
      + d/p/autofs-fix-a-recently-introduced-bug.patch
      + d/p/autofs-skip-autofs-entries.patch
    - d/p/fix-check-hr-filesys-autofs.patch:
      + On Linux getmntent() is available but getfsstat() not.
        Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
        check.
  * Dropped changes, incorporated by Debian:
    - d/p/lp1871307-log-once-proc-net-if_inet6-failure.patch (LP #1871307):
      + MIB-II: Only log once that opening /proc/net/if_inet6 failed
    - SECURITY UPDATE: Fix segmentation fault that happens when using the
      snmpv3 protocol with snmpbulkget. (LP #1877027)
      + d/p/move-securityStateRef-into-free_securityStateRef.patch:
        Consolidate the check of the securityStateRef pointer into the
        free_securityStateRef function.
      + d/p/prevent-snmpv3-bulkget-errors-double-free.patch:
        Prevent snmpv3 bulkget errors from becoming resulting in a
        double free.
      + d/p/fix-usmStateReference-free.patch:
        Fix typo on usm_free_usmStateReference from last patch.
      + d/p/unexport-struct-usmStateReference.patch:
        Unexport struct usmStateReference and to prevent ABI breakages,
        since it will be necessary to add a reference count to it.
      + d/p/introduce-refcount-usmStateReference.patch:
        Introduce refcount in the struct usmStateReference, and adjust
        code to properly use the field.
      + CVE-2019-20892

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 06 Aug 2020 11:42:13 -0400

net-snmp (5.8+dfsg-5) unstable; urgency=medium

  * Allow extend to be read-only Closes: #966544
  * Stop using mib_index files CVE-2020-15861 Closes: 966599

 -- Craig Small <csmall@debian.org>  Fri, 31 Jul 2020 20:29:41 +1000

net-snmp (5.8+dfsg-4) unstable; urgency=high

  [ Sergio Durigan Junior ]
  * Fix segmentation fault that happens when using the snmpv3
    protocol with snmpbulkget. (LP #1877027) (Debian Bug #963713)
    This is a rework of the patches introduced in the last release,
    to fix CVE-2019-20892.
    - d/p/move-securityStateRef-into-free_securityStateRef.patch:
      Consolidate the check of the securityStateRef pointer into the
      free_securityStateRef function.
    - d/p/prevent-snmpv3-bulkget-errors-double-free.patch:
      Prevent snmpv3 bulkget errors from becoming resulting in a
      double free.
    - d/p/fix-usmStateReference-free.patch:
      Fix typo on usm_free_usmStateReference from last patch.
    - d/p/unexport-struct-usmStateReference.patch:
      Unexport struct usmStateReference and to prevent ABI breakages,
      since it will be necessary to add a reference count to it.
    - d/p/introduce-refcount-usmStateReference.patch:
      Introduce refcount in the struct usmStateReference, and adjust
      code to properly use the field.
    - d/p/libsnmp-securitystateref: Rename to
      d/p/move-securityStateRef-into-free_securityStateRef.
    - d/p/doublefree_snmpusm: Rename to
      d/p/prevent-snmpv3-bulkget-errors-double-free.patch.

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Craig Small ]
  * snmpd: Disable extend mib Closes: #965166
  * Don't ignore tmpfs filesystems
  * snmpd: Command line uid/gid overrides configuration file
  * Two previous fix CVE-2020-15862 and Closes: #685877

 -- Craig Small <csmall@debian.org>  Thu, 23 Jul 2020 21:35:08 +1000

net-snmp (5.8+dfsg-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #944953)
    + Build-Depends: perl-xs-dev for building a perl extension.
    + cross.patch: Detect mysql using pkg-config.

  [ Craig Small ]
  * Log ipv6 error once Closes: #944336
  * Move net-snmp-create-v3-user to snmpd Closes: #953043
  * snmpd: Quiet on access errors to mounts Closes: #792832
  * snmpd: swinst_apt: Don't use dpkg directories Closes: #905668
  * libsnmp: Fix double free crash CVE-2019-20892 Closes: #963713
  * Enable TLS and DTLS transports Closes: #964054

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 5.2.2-1.

 -- Craig Small <csmall@debian.org>  Thu, 02 Jul 2020 13:38:58 +1000

net-snmp (5.8+dfsg-2ubuntu3) groovy; urgency=medium

  * SECURITY UPDATE: Fix segmentation fault that happens when using the
    snmpv3 protocol with snmpbulkget. (LP: #1877027)
    - d/p/move-securityStateRef-into-free_securityStateRef.patch:
      Consolidate the check of the securityStateRef pointer into the
      free_securityStateRef function.
    - d/p/prevent-snmpv3-bulkget-errors-double-free.patch:
      Prevent snmpv3 bulkget errors from becoming resulting in a
      double free.
    - d/p/fix-usmStateReference-free.patch:
      Fix typo on usm_free_usmStateReference from last patch.
    - d/p/unexport-struct-usmStateReference.patch:
      Unexport struct usmStateReference and to prevent ABI breakages,
      since it will be necessary to add a reference count to it.
    - d/p/introduce-refcount-usmStateReference.patch:
      Introduce refcount in the struct usmStateReference, and adjust
      code to properly use the field.
    - CVE-2019-20892

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 23 Jun 2020 14:37:42 -0400

net-snmp (5.8+dfsg-2ubuntu2) focal; urgency=medium

  * d/p/lp1871307-log-once-proc-net-if_inet6-failure.patch (LP: #1871307):
    - MIB-II: Only log once that opening /proc/net/if_inet6 failed

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 09 Apr 2020 12:30:45 +0000

net-snmp (5.8+dfsg-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1855943). Remaining changes:
    - d/p/fix-check-hr-filesys-autofs.patch (LP #1843036)
    - Skip autofs entries when calling statfs (LP #1835818):
      - d/p/autofs-skip-autofs-entries.patch
      - d/p/autofs-fix-a-recently-introduced-bug.patch
        [Replaced former Non-upstream patches with clean cherry-pick)
    - d/p/mysql8-replace-bool.patch: fix build with mysql-8 (LP 1814270)
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: Link
      libnetsnmptrapd against MYSQL_LIBS.
    - Add apport hook.
      - d/control: add dh-apport to Build-Depends
      - d/rules: install the apport hook via debhelper
      - d/source.apport: apport hook
  * Dropped patches that are upstream and in Debian 5.8+dfsg-2:
    - d/p/put-paranthesis-around-macros-which-are-expressions.patch
      (LP #1843036)
    - Fix build with mysql-8 (LP #1814270):
      - d/p/mysql-options.patch: use mysql_options if no {my_,}load_defaults
        was found.
      - d/p/mysql-init.patch: handle the various mysql init functions.
      - d/p/mysql8-headers.patch: detect if my_global.h and my_sys.h are
        available.
      - d/p/my-load-defaults.patch: properly detect (and use)
        my_load_defaults().
    - d/p/snmptrapd_mysql_init: no need to drop this patch anymore
      (LP #1814254)
    - d/p/0001-swinst_apt.c-Fix-indexing-of-hrSWInstalledTable-to-s.patch
      (LP #1314760)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 13 Dec 2019 03:27:52 +0000

net-snmp (5.8+dfsg-2) unstable; urgency=medium

  * All MIB directory values removed and just use the default compile-time
    options, which is usually ok. Admins can add their own environment
    settings or options to change. Closes: #942151
  * Do not do parallel builds Closes: #942284
  * Correct sedscript CPPFLAGS and libnetsnmptrapd LDFLAGS
  * Also use default flags for restart on init scripts

 -- Craig Small <csmall@debian.org>  Wed, 23 Oct 2019 08:56:17 +1100

net-snmp (5.8+dfsg-1) unstable; urgency=medium

  * New upstream release
    - snmplib: handle large amount of file descriptors Closes: #754955
    - BUG: 2815 Display UTF-8 characters again Closes: #898399
  * Update to Debian standards 4.3.0
  * Update debhelper to compat 12
  * snmpd/snmptrapd: Log only warning and above. Closes: #792623
  * snmpd/snmptrapd: Systemd unit logs to stdout
  * Build depend on non-versions libsensors Closes: #917444
  * Library soname updated to 35
  * snmpd: Change pidfile mode to 0644 Closes: #528103
  * Remove python modules Closes: #937131
  * Respect defaults for sysvinit Closes: #932775
  * Added snmpping.1 manpage
  * Reduce logging for subcontainer Closes: #684721
  * Do not enable DISMAN events Closes: #823201
  * Update to standards 4.4.1

 -- Craig Small <csmall@debian.org>  Thu, 10 Oct 2019 22:37:15 +1100

net-snmp (5.7.3+dfsg-5ubuntu6) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:37:07 +0000

net-snmp (5.7.3+dfsg-5ubuntu5) eoan; urgency=medium

  * d/p/fix-check-hr-filesys-autofs.patch:
    - On Linux getmntent() is available but getfsstat() not.
      Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
      check.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Sat, 07 Sep 2019 16:30:53 +0000

net-snmp (5.7.3+dfsg-5ubuntu4) eoan; urgency=medium

  * d/p/put-paranthesis-around-macros-which-are-expressions.patch:
    - put paranthesis around macros which are expressions.
    (LP: #1843036)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 06 Sep 2019 23:15:43 +0000

net-snmp (5.7.3+dfsg-5ubuntu3) eoan; urgency=medium

  * Skip autofs entries when calling statfs to prevent autofs being mounted on
    snmpd startup (LP: #1835818):
    - d/p/autofs-skip-autofs-entries.patch
    - d/p/autofs-fix-a-recently-introduced-bug.patch

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Wed, 21 Aug 2019 12:22:37 +0100

net-snmp (5.7.3+dfsg-5ubuntu2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 11:32:18 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsnmp40t64`.
